.calculator {
    background: #57a5c4;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    border-radius: 1rem;
    padding: 1rem;
    color: #fff;
}

.calculator .margin-top-0 {
    margin-top: 0 !important;
}

.calculator .add-new-loan {
    color: #fff;
    font-size: 2rem;
    text-align: center;
}

.calculator .fa-plus-circle,
.calculator .fa-times-circle {
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s ease, color 0.3s ease;
}

.calculator .fa-plus-circle:hover {
    color: #a9ff6b;
}

.calculator .fa-times-circle:hover {
    color: #ff9999;
}


.calculator span.remove-loan-row {
    padding-left: 1rem;
}

.loan-form .input-container .text-color-white {
    color: #fff;
}

.calculator input[type="submit"] {
    background: #f7941d;
    border-radius: 0.5rem;
}


#reference-number-table tbody tr td{
    color: white !important;
}

.result-container {
    display: grid;
    grid-template-columns: 2fr 1fr;
}

.result-container span, .result-container p {
    font-size: 14pt;
}

.loan-form label {
    color: #fff;
    font-size: 1rem;
}

.loan-form table {
    font-size: 1rem;
}


.loan-form .slider-container .item {
    flex: 1 !important;
}

.loan-form .item-small {
    flex: 0 1 auto;
    min-width: unset;
}

.loan-form .flex-row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    column-gap: 0.5em;
}

.loan-form .slider-container input {
    overflow-y: visible;
    flex: 1;
}

.loan-form div.number-container {
    min-width: 150px;
    border: none;
    background: linear-gradient(to right, #fafafa calc(100% - 3em), #f59b43 calc(100% - 3em));
    border-radius: 2em;
    display: flex;
}

.loan-form div.number-container > input[type="number"] {
    width: 100%;
    margin: 0;
    border: 0;
    outline: 0;
    background: transparent;
    padding-right: 3em;
    box-shadow: none;
}

.loan-form div.number-container > input[type="number"], div.number-container > input[type="number"]:focus {
    outline: none !important;
    background: transparent;
    padding: 0;
}

/* Piilota input kentän nuolivalitsimet */
.loan-form div.number-container > input::-webkit-outer-spin-button,
.loan-form div.number-container > input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Piilota input kentän nuolivalitsimet - Firefox */
.loan-form div.number-container > input[type=number] {
    -moz-appearance: textfield;
}

.loan-form .currency-symbol {
    margin-right: 1.3em; /* Voit säätää marginaalin sopivaksi tarpeittesi mukaan */
    align-self: center; /* Asettaa €-merkin vertikaalisesti keskelle */
    color: #fff;
}

.loan-form .slider {
    -webkit-appearance: none;
    height: 0.8em;
    background: #d3d3d3;
    outline: none;
    opacity: 1;
    -webkit-transition: .2s;
    transition: opacity .2s;
    margin: 0.5em;
    overflow: unset;
}

.loan-form input[type="range"] {
    border: none;
    border-radius: 2em;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}



.loan-form .slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: radial-gradient(circle, white 25%, #f59b43 25%);
    cursor: pointer;
}

.loan-form .slider::-webkit-slider-thumb:hover {
    box-shadow: 0 0 0 13px rgba(255, 85, 0, .2)
}

.loan-form .slider::-moz-range-thumb {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #f59b43;
    cursor: pointer;
}

.interest-slider-container {
    display: grid;
    grid-template-columns: 3fr 1fr;
    margin: 0;
    padding: 0;
    font-size: 12pt;
    column-gap: 0.5em;
}

.general-form [type=range] {
    -webkit-appearance: none;
    margin: 0;
    width: 100%;
    padding: 0 !important;
}

.general-form .interest-slider, .general-form .interest-slider-container, canvas#interest-canvas {
    padding-right: 2em;
    padding-bottom: 1em;
}


@media only screen and (max-width: 992px) {
    .general-form .interest-slider, .general-form .interest-slider-container {
        padding-right: 1.5em;
        padding-bottom: 1em;
    }

    .general-form .input-container.full label {
        top: 1rem;
    }
}

@media only screen and (max-width: 576px) {
    .general-form .interest-slider, .general-form .interest-slider-container {
        padding-right: 0;
        padding-bottom: 0;
    }

    .general-form .input-container.full label {
        top: 0;
    }
}

.interest-slider {
    margin-top: 4px;
}

.interest-slider-number {
    /*margin-left: 10px;*/
    min-width: 150px;
}

.interest-slider-number input {
    border-radius: 2rem;
    border: 0;
}

.euro-symbol {
    position: relative !important;
}

.euro-symbol input {
    border: none;
    background: linear-gradient(to right, #fff 0%, #fff 75%, rgb(245,155,67) 75%, rgb(245,155,67) 100%);
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
    padding-right: 25% !important;
}

.euro-symbol span {
    position: absolute;
    top: 12px;
    right: 11%;
    font-size: 13pt;
    z-index: 2;
    color: white;
    float: right;
}

@media only screen and (max-width: 576px) {
    .euro-symbol input, .euro-symbol input:disabled {
        /*background: linear-gradient(to right, #fff 0%, #fff 85%, rgb(245,155,67) 85%, rgb(245,155,67) 100%);*/
        padding-right: 0 !important;
        opacity: 1;
    }


    .general-form input:disabled,
    .general-form .euro-symbol input:disabled {
        /*background: linear-gradient(to right, #fff 0%, #fff 85%, rgb(245,155,67) 85%, rgb(245,155,67) 100%);*/
        color: #000;
        opacity: 1;
    }

    .euro-symbol span {
     /*   right: 6.5%;*/
    }
}

.calculation-submit {
    width: 100%;
    background-color: #f59b43;
    border: none;
    color: white;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    border-radius: 0.75rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin-bottom: 1rem;
    margin-top: 1rem;
    height: 68px;
    line-height: 68px;
    vertical-align: middle;
    text-transform: uppercase;
    box-shadow: rgba(50,50,93,.25) 0 6px 12px -2px,rgba(0,0,0,.3) 0 3px 7px -3px;
}

.calculation-submit:hover {
    background: #ffa54d!important;
    box-shadow: rgba(50,50,93,.25) 0 6px 12px -2px,rgba(0,0,0,.3) 0 3px 7px -3px;
}

.calculator input[type=submit] {
    box-shadow: rgba(50,50,93,.25) 0 6px 12px -2px,rgba(0,0,0,.3) 0 3px 7px -3px;
}

.calculator input[type=submit]:hover {
    background: #ffa54d;
}

@media only screen and (max-width: 1200px) {
    div.add-new-loan {
        margin-right: 2rem;
    }

    .form-canvas {
        margin-right: 2rem;
    }

    .calculation-submit {
        height: 54px;
        line-height: 54px;
        vertical-align: middle;
    }
}

/* Adjusting the help-text to be initially on the right and showing content on hover */
#vat-form .button-container .help-text {
    display: inline-block;
    position: absolute;
    top: 1em;
    right: 1em;
}

#vat-form .button-container .help-text:before {
    display: block;
    position: absolute;
    content: "?";
    top: 0;
    right: 0;
    width: 24px;
    height: 24px;
    font-size: 1rem;
    line-height: 1.125rem;
    text-align: center;
    background: #fff;
    color: #f59b43;
    border: solid 2px #f59b43;
    border-radius: 50%;
    font-weight: 700;
    transition-duration: 0.2s;
    cursor: pointer;
}

/* Hide the help text content initially */
#vat-form .button-container .help-text > div {
    display: none;
    position: absolute;
    line-height: initial;
    text-align: left;
    background: rgba(245, 155, 67, 1);
    color: #fff;
    padding: 0.5rem 1rem;
    max-width: 300px;
    top: 30px;
    right: 0;
}

/* Show the help text content on hover */
#vat-form .button-container .help-text:hover > div {
    display: block;
}

/* Change the appearance of the question mark button on hover */
#vat-form .button-container .help-text:hover:before {
    background: #f59b43;
    color: #fff;
}

.animate-remove {
    animation: animate-remove-animation .8s cubic-bezier(.65, -0.02, .72, .29);
}

@keyframes animate-remove-animation {
    0% {
        opacity: 1;
        transform: translateX(0);
    }

    30% {
        opacity: 1;
        transform: translateX(50px);
    }

    80% {
        opacity: 1;
        transform: translateX(-800px);
    }

    100% {
        opacity: 0;
        transform: translateX(-800px);
    }
}
